List a programme's spend controls
GET
/v1/programs/{id}/authorization-controlsRequires an API client bearer token.
Lists the spend controls placed on this programme (scope fixed to the programme by the path).
Parameters
Path parameters
| Name | Required | Description |
|---|---|---|
| id | required |
Query parameters
| Name | Required | Description |
|---|---|---|
| limit | optional | |
| starting_after | optional |
Example
curl https://api.rigid.fi/v1/programs/{id}/authorization-controls \
-H "Authorization: Bearer $RIGID_API_TOKEN"Responses
200A page of spend controls on this programme.
dataarray of objectrequired
+ show properties− hide properties
mcc_allowarray of string
mcc_denyarray of string
country_allowarray of string
country_denyarray of string
channels_denyarray of "pos" | "ecommerce" | "atm" | "moto"
entry_mode_denyarray of "contactless" | "chip" | "magstripe" | "manual"
max_amountstring
idstringrequired
activebooleanrequired
has_morebooleanrequired
next_cursorstring | nullrequired
400Validation error
typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
401Authentication required
typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
403Forbidden
typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
404Programme not found
typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
500Internal server error
typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring